> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel subscription

> Cancel the subscription associated with a purchase by ID

This endpoint cancels the underlying subscription (Stripe, PayPal, or Kajabi Payments)
associated with the purchase. The purchase will be deactivated and the subscription
will be cancelled immediately, according to the payment provider's cancellation rules.

If the payment can be cancelled the response will be successful.
Otherwise, the response will be an error with validation details.




## OpenAPI

````yaml /openapi.yaml post /v1/purchases/{id}/cancel_subscription
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/purchases/{id}/cancel_subscription:
    post:
      tags:
        - Purchases
      summary: Cancel subscription
      description: >
        Cancel the subscription associated with a purchase by ID


        This endpoint cancels the underlying subscription (Stripe, PayPal, or
        Kajabi Payments)

        associated with the purchase. The purchase will be deactivated and the
        subscription

        will be cancelled immediately, according to the payment provider's
        cancellation rules.


        If the payment can be cancelled the response will be successful.

        Otherwise, the response will be an error with validation details.
      parameters:
        - name: id
          in: path
          required: true
          description: Purchase ID
          schema:
            type: string
      responses:
        '200':
          description: Success, cancelled subscription and deactivated purchase
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/purchases_show_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '404':
          description: Not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_not_found'
        '422':
          description: Unprocessable Entity, validation errors in cancelling subscription
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unprocessable'
      security:
        - Bearer: []
components:
  schemas:
    purchases_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - purchases
            attributes:
              $ref: '#/components/schemas/purchases_attributes'
            relationships:
              type: object
              properties:
                offer:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                customer:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                transactions:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                products:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_not_found:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_unprocessable:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    purchases_attributes:
      type: object
      properties:
        amount_in_cents:
          type: integer
        payment_type:
          type: string
        multipay_payments_made:
          type:
            - integer
            - 'null'
        opt_in:
          type: boolean
        raw_extra_contact_information:
          type: object
        currency:
          type: string
        effective_start_at:
          type:
            - string
            - 'null'
        cardholder_name:
          type:
            - string
            - 'null'
        billing_address_zip:
          type:
            - string
            - 'null'
        deactivated_at:
          type:
            - string
            - 'null'
        deactivation_reason:
          type:
            - string
            - 'null'
        coupon_code:
          type:
            - string
            - 'null'
        source:
          type:
            - string
            - 'null'
        referrer:
          type:
            - string
            - 'null'
        quantity:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````